@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --primary-bg-color: #2262C6;
    --secondary-bg-color: #198754;
    --light-gray: #F1F2F7;
    --gray: #8C8C8C;
    --dark-gray: #404040;
    --bg-color: #ffffff;
    --buttons-gray: #E5ECF4;
    --error-bg-color: #ed4444;
    --error-color: #dc3545;
    --deep-red: #B80000;
    --border-color: #d5d5d5;
}

html ::selection {
    background: var(--primary-bg-color);
    color: var(--bg-color);
}

.montserrat {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
}

a,
label,
input,
p,
h1,
h2,
h3,
h4,
button,
div,
span {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    margin: 0;
    padding: 0;
}

a,
button {
    cursor: pointer;
    padding: 0;
    margin: 0;
}

h1 {
    font-weight: 600;
}

h3 {
    font-weight: 400 !important;
}

.white-btn {
    border: 1px solid var(--bg-color);
    border-radius: 5px;
    background-color: var(--primary-bg-color);
    color: var(--bg-color);
    padding: 0.7vh 1.5vw;
    box-shadow: 0 0 0 2px var(--primary-bg-color), 0 0 0 3px var(--bg-color);
    transition: all 300ms ease-in-out;
    cursor: pointer;
    text-wrap: nowrap;

    display: flex;
    justify-content: center;
    align-items: center;
}

.white-btn:hover {
    background-color: var(--bg-color);
    color: var(--primary-bg-color);
}

.blue-btn {
    border: 1px solid var(--primary-bg-color);
    border-radius: 5px;
    background-color: var(--bg-color);
    color: var(--primary-bg-color);
    padding: 0.7vh 1.5vw;
    box-shadow: 0 0 0 2px var(--bg-color), 0 0 0 3px var(--primary-bg-color);
    transition: all 300ms ease-in-out;
    cursor: pointer;
    text-wrap: nowrap;

    display: flex;
    justify-content: center;
    align-items: center;
}

.blue-btn:hover {
    background-color: var(--primary-bg-color);
    color: var(--bg-color);
}

.green-btn {
    border: 1px solid var(--secondary-bg-color);
    border-radius: 5px;
    background-color: var(--secondary-bg-color);
    color: var(--bg-color);
    padding: 0.7vh 1vw;
    box-shadow: 0 0 0 2px var(--bg-color), 0 0 0 3px var(--secondary-bg-color);
    transition: all 300ms ease-in-out;
    cursor: pointer;
    text-wrap: nowrap;

    display: flex;
    justify-content: center;
    align-items: center;
}

.green-btn:hover {
    background-color: var(--bg-color);
    color: var(--secondary-bg-color);
}

.h2-border {
    border: 1px solid !important;
    border-image-slice: 1 !important;
    border-image-source: linear-gradient(90deg,rgba(34, 98, 198, 1) 0%, rgba(34, 98, 198, 0) 100%) !important;
    width: -webkit-fill-available !important;
    margin-top: 0.5vh !important;
}

.blue-link {
    color: var(--primary-bg-color) !important;
    text-decoration: none !important;
}

.blue-link:hover {
    text-decoration: underline !important;
}

.white-link {
    color: var(--bg-color) !important;
    text-decoration: none !important;
}

.white-link:hover {
    text-decoration: underline !important;
}

.custom-checkbox {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

.custom-checkbox + label {
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.custom-checkbox + label::before {
  content: '';
  display: inline-block;
  width: 1em;
  height: 1em;
  flex-shrink: 0;
  flex-grow: 0;
  border: 1px solid #c3c3c3;
  border-radius: 0.25em;
  margin-right: 0.5em;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 50% 50%;
}

.custom-checkbox:checked + label::before {
  border-color: var(--primary-bg-color);
  background-color: var(--primary-bg-color);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
}

.custom-checkbox:not(:disabled):not(:checked) + label:hover::before {
  border-color: rgba(0, 0, 255, 0.33);
}
.custom-checkbox:not(:disabled):active + label::before {
  background-color: var(--primary-bg-color);
}
.custom-checkbox:focus + label::before {
  box-shadow: 0 0 0 0.2rem rgba(0, 0, 255, 0.125);
}
.custom-checkbox:focus:not(:checked) + label::before {
  border-color: #c3c3c3;
}
.custom-checkbox:disabled + label::before {
  background-color: black;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--primary-bg-color);
    --bs-btn-border-color: var(--primary-bg-color);
    --bs-btn-hover-color: var(--primary-bg-color);
    --bs-btn-hover-bg: var(--bg-color);
    --bs-btn-hover-border-color: var(--primary-bg-color);
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--primary-bg-color);
    --bs-btn-active-border-color: var(--primary-bg-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--primary-bg-color);
    --bs-btn-disabled-border-color: var(--primary-bg-color);
    box-shadow: 0 0 0 2px var(--bg-color), 0 0 0 3px var(--primary-bg-color);
    padding: 0.7vh 1.5vw;
    width: unset;
}

.btn-outline-secondary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--primary-bg-color);
    --bs-btn-border-color: var(--primary-bg-color);
    --bs-btn-hover-color: var(--primary-bg-color);
    --bs-btn-hover-bg: var(--bg-color);
    --bs-btn-hover-border-color: var(--primary-bg-color);
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--primary-bg-color);
    --bs-btn-active-border-color: var(--primary-bg-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--primary-bg-color);
    --bs-btn-disabled-border-color: var(--primary-bg-color);
    box-shadow: 0 0 0 2px var(--bg-color), 0 0 0 3px var(--primary-bg-color);
    padding: 0.7vh 1.5vw;
    width: unset;
}

.no-width {
    width: unset;
}

.pr-0 {
    padding-right: 0;
}

.select2.select2-container.select2-container--bootstrap-5 {
    width: unset !important;
}

@media screen and (max-width: 1024px) {
    html {
        font-size: 28px;
    }
}

@media (min-width: 1800px) {
    .d-xxxl-none {
        display: none !important;
    }

    .d-xxxl-block {
        display: block !important;
    }

    .col-xxxl-1 {
        flex: 0 0 auto;
        width: 8.333333% !important;
    }

    .col-xxxl-2 {
        flex: 0 0 auto;
        width: 16.666667% !important;
    }

    .fd-xxl-row {
        flex-direction: row !important;
    }
}